clear all;
close all;
%-------------------------------------------------------------------------------------------
X = [0.30 0.31 0.32 0.33 0.34 0.35 0.36 0.37 0.38 0.39 0.40 0.41 0.42 0.43 0.44 0.45 0.46; 
     0.30 0.31 0.32 0.33 0.34 0.35 0.36 0.37 0.38 0.39 0.40 0.41 0.42 0.43 0.44 0.45 0.46; 
     0.30 0.31 0.32 0.33 0.34 0.35 0.36 0.37 0.38 0.39 0.40 0.41 0.42 0.43 0.44 0.45 0.46; 
     0.30 0.31 0.32 0.33 0.34 0.35 0.36 0.37 0.38 0.39 0.40 0.41 0.42 0.43 0.44 0.45 0.46;
     0.30 0.31 0.32 0.33 0.34 0.35 0.36 0.37 0.38 0.39 0.40 0.41 0.42 0.43 0.44 0.45 0.46;
     0.30 0.31 0.32 0.33 0.34 0.35 0.36 0.37 0.38 0.39 0.40 0.41 0.42 0.43 0.44 0.45 0.46;
     0.30 0.31 0.32 0.33 0.34 0.35 0.36 0.37 0.38 0.39 0.40 0.41 0.42 0.43 0.44 0.45 0.46;
     0.30 0.31 0.32 0.33 0.34 0.35 0.36 0.37 0.38 0.39 0.40 0.41 0.42 0.43 0.44 0.45 0.46;
     0.30 0.31 0.32 0.33 0.34 0.35 0.36 0.37 0.38 0.39 0.40 0.41 0.42 0.43 0.44 0.45 0.46;
     0.30 0.31 0.32 0.33 0.34 0.35 0.36 0.37 0.38 0.39 0.40 0.41 0.42 0.43 0.44 0.45 0.46;
     0.30 0.31 0.32 0.33 0.34 0.35 0.36 0.37 0.38 0.39 0.40 0.41 0.42 0.43 0.44 0.45 0.46;
     0.30 0.31 0.32 0.33 0.34 0.35 0.36 0.37 0.38 0.39 0.40 0.41 0.42 0.43 0.44 0.45 0.46;
     0.30 0.31 0.32 0.33 0.34 0.35 0.36 0.37 0.38 0.39 0.40 0.41 0.42 0.43 0.44 0.45 0.46;
     0.30 0.31 0.32 0.33 0.34 0.35 0.36 0.37 0.38 0.39 0.40 0.41 0.42 0.43 0.44 0.45 0.46;
     0.30 0.31 0.32 0.33 0.34 0.35 0.36 0.37 0.38 0.39 0.40 0.41 0.42 0.43 0.44 0.45 0.46;
     0.30 0.31 0.32 0.33 0.34 0.35 0.36 0.37 0.38 0.39 0.40 0.41 0.42 0.43 0.44 0.45 0.46;
     0.30 0.31 0.32 0.33 0.34 0.35 0.36 0.37 0.38 0.39 0.40 0.41 0.42 0.43 0.44 0.45 0.46];
 
Xrow = [0.30 0.31 0.32 0.33 0.34 0.35 0.36 0.37 0.38 0.39 0.40 0.41 0.42 0.43 0.44 0.45 0.46];

Ycol = [
140.6
140.775
140.95
141.125
141.3
141.475
141.65
141.825
142
142.175
142.35
142.525
142.7
142.875
143.05
143.225
143.4    
]';
 
Y = [Ycol Ycol Ycol Ycol Ycol Ycol Ycol Ycol Ycol Ycol Ycol Ycol Ycol Ycol Ycol Ycol Ycol]*10^9;

x = reshape(X,17,17)';

y = reshape(Y,17,17)';

z = [
0.000934657	0.000928557	0.000922243	0.000915717	0.000908975	0.000902016	0.000894837	0.000887436	0.000879808	0.000871949	0.00086385	0.000855501	0.000846885	0.000837976	0.000828737	0.000819098	0.000808932;
0.000933494	0.000927403	0.000921097	0.000914579	0.000907845	0.000900894	0.000893725	0.000886334	0.000878715	0.000870865	0.000862776	0.000854437	0.000845832	0.000836935	0.000827706	0.00081808	0.000807926;
0.000932336	0.000926251	0.000919953	0.000913443	0.000906718	0.000899776	0.000892615	0.000885233	0.000877624	0.000869784	0.000861705	0.000853376	0.000844781	0.000835895	0.000826679	0.000817064	0.000806923;
0.00093118	0.000925103	0.000918813	0.000912311	0.000905594	0.00089866	0.000891509	0.000884135	0.000876536	0.000868705	0.000860636	0.000852318	0.000843734	0.000834859	0.000825653	0.000816051	0.000805923;
0.000930026	0.000923957	0.000917675	0.00091118	0.000904472	0.000897547	0.000890405	0.00088304	0.00087545	0.00086763	0.000859571	0.000851262	0.000842689	0.000833825	0.000824631	0.00081504	0.000804924;
0.000928876	0.000922814	0.000916539	0.000910053	0.000903353	0.000896437	0.000889303	0.000881948	0.000874367	0.000866557	0.000858507	0.000850209	0.000841646	0.000832793	0.000823612	0.000814031	0.000803929;
0.000927728	0.000921674	0.000915407	0.000908929	0.000902237	0.00089533	0.000888204	0.000880858	0.000873287	0.000865486	0.000857447	0.000849159	0.000840607	0.000831765	0.000822593	0.000813026	0.000802936;
0.000926583	0.000920536	0.000914278	0.000907807	0.000901124	0.000894225	0.000887109	0.000879771	0.00087221	0.000864417	0.000856389	0.000848111	0.00083957	0.000830738	0.000821579	0.000812022	0.000801945;
0.000925442	0.000919402	0.000913151	0.000906689	0.000900013	0.000893123	0.000886015	0.000878688	0.000871134	0.000863352	0.000855333	0.000847066	0.000838534	0.000829714	0.000820566	0.000811022	0.000800956;
0.000924302	0.00091827	0.000912027	0.000905573	0.000898906	0.000892023	0.000884925	0.000877605	0.000870062	0.00086229	0.000854281	0.000846023	0.000837502	0.000828693	0.000819556	0.000810024	0.000799971;
0.000923167	0.000917141	0.000910906	0.000904459	0.0008978	0.000890927	0.000883837	0.000876527	0.000868992	0.000861229	0.00085323	0.000844983	0.000836473	0.000827674	0.000818549	0.000809028	0.000798987;
0.000922033	0.000916015	0.000909787	0.000903349	0.000896698	0.000889833	0.000882752	0.00087545	0.000867926	0.000860172	0.000852182	0.000843946	0.000835446	0.000826658	0.000817543	0.000808034	0.000798006;
0.000920902	0.000914892	0.000908672	0.000902241	0.000895599	0.000888742	0.000881669	0.000874377	0.000866861	0.000859117	0.000851138	0.00084291	0.000834421	0.000825644	0.000816541	0.000807044	0.000797027;
0.000919774	0.000913772	0.000907559	0.000901137	0.000894501	0.000887653	0.000880589	0.000873306	0.0008658	0.000858065	0.000850095	0.000841878	0.000833399	0.000824633	0.000815541	0.000806056	0.000796051;
0.000918649	0.000912653	0.000906448	0.000900034	0.000893407	0.000886567	0.000879511	0.000872238	0.00086474	0.000857016	0.000849055	0.000840848	0.00083238	0.000823624	0.000814543	0.000805069	0.000795078;
0.000917526	0.000911539	0.00090534	0.000898934	0.000892315	0.000885484	0.000878437	0.000871172	0.000863684	0.000855968	0.000848018	0.000839821	0.000831363	0.000822618	0.000813548	0.000804086	0.000794106;
0.000916407	0.000910426	0.000904236	0.000897837	0.000891227	0.000884403	0.000877365	0.000870108	0.00086263	0.000854924	0.000846983	0.000838796	0.000830348	0.000821614	0.000812555	0.000803104	0.000793137];

%-------------------------------------------------------------------------------------------
% Plot: lambda(E,nu)
figure(1)
% tiledlayout(2,1)
% % Top plot
% ax1 = nexttile;
% stem(ax1,y,z)

% % Bottom plot
% ax2 = nexttile;  
% stem3(ax2,x,y,z,'MarkerFaceColor','r')

stem3(x,y,z,...
    'LineStyle','--',...
    'Marker','p',...
    'MarkerEdgeColor','[0.6350 0.0780 0.1840]',...
    'MarkerFaceColor','[0.6350 0.0780 0.1840]')

zlim([0.00078 0.00094])
ylim([140.6E9 143.4E9])
xlim([0.3 0.46])

xticks([0.30 0.32 0.35 0.38 0.40 0.43 0.46])
yticks([140.6E9 141E9 141.5E9 142E9 142.5E9 143.0E9 143.4E9])
zticks([0.00078 0.00080 0.00082 0.00084 0.00086 0.00088 0.00090 0.00092 0.00094])

title('Strain energy density $\mathcal{E}(E,\nu)$ - Low load - 20Ta-LLZO','interpreter','latex','FontSize',12);
ylabel('Young $E \ [N/m^2]$','interpreter','latex','FontSize',12); 
xlabel('Poisson $\nu \ [-]$','interpreter','latex','FontSize',12);
zlabel('$\mathcal{E} (E,\nu)$','interpreter','latex','FontSize',12);

set(gca,'TickLabelInterpreter','latex');
view([37 46]);
% pure view of E
% view([90 0]);
% pure view of nu
% view([0 0]);
grid on
set(gcf,'renderer','Painters')
print -depsc -tiff -r300 -painters Lowload_20TaDoped_strainenergy_LLZO_48e.eps
print -dpng Lowload_20TaDoped_strainenergy_LLZO_48e.png